> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/edit_block_rfq_quote

> **Maker method**

Edits a Block RFQ quote using the specified `block_rfq_quote_id`. Alternatively, you can use a combination of `block_rfq_id` and `label` to edit the quote.

Use [private/add_block_rfq_quote](https://docs.deribit.com/api-reference/block-rfq/private-add_block_rfq_quote) to add new quotes, or [private/cancel_block_rfq_quote](https://docs.deribit.com/api-reference/block-rfq/private-cancel_block_rfq_quote) to cancel quotes.

**📖 Related Article:** [Deribit Block RFQ API walkthrough](https://docs.deribit.com/articles/block-rfq-api-walkthrough)

**Scope:** `rat#trade` or `wallet:buys:create`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fedit_block_rfq_quote)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/edit_block_rfq_quote
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/edit_block_rfq_quote:
    get:
      tags:
        - Block RFQ
        - Private
      description: >+
        **Maker method**


        Edits a Block RFQ quote using the specified `block_rfq_quote_id`.
        Alternatively, you can use a combination of `block_rfq_id` and `label`
        to edit the quote.


        Use
        [private/add_block_rfq_quote](https://docs.deribit.com/api-reference/block-rfq/private-add_block_rfq_quote)
        to add new quotes, or
        [private/cancel_block_rfq_quote](https://docs.deribit.com/api-reference/block-rfq/private-cancel_block_rfq_quote)
        to cancel quotes.


        **📖 Related Article:** [Deribit Block RFQ API
        walkthrough](https://docs.deribit.com/articles/block-rfq-api-walkthrough)


        **Scope:** `rat#trade` or `wallet:buys:create`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fedit_block_rfq_quote)

      parameters:
        - description: List of legs used for Block RFQ quote
          explode: true
          in: query
          name: legs
          required: true
          schema:
            items:
              properties:
                direction:
                  $ref: '#/components/schemas/direction'
                  description: >-
                    Direction of selected leg. Must match the direction of the
                    corresponding leg in the Block RFQ
                instrument_name:
                  $ref: '#/components/schemas/instrument_name'
                  description: Instrument name
                price:
                  description: Price for trade
                  type: number
                ratio:
                  description: Ratio of amount between legs
                  type: integer
              type: object
            type: array
          style: form
        - description: >-
            This value multiplied by the ratio of a leg gives trade size on that
            leg.
          in: query
          name: amount
          required: true
          schema:
            $ref: '#/components/schemas/amount'
        - description: ID of the Block RFQ quote
          in: query
          name: block_rfq_quote_id
          required: false
          schema:
            type: integer
        - description: >-
            User defined label for the Block RFQ quote (maximum 64 characters).
            Used to identify quotes of a selected Block RFQ
          in: query
          name: label
          required: false
          schema:
            type: string
        - description: >-
            Hedge leg of the Block RFQ. There is only one hedge leg allowed per
            Block RFQ
          in: query
          name: hedge
          required: false
          schema:
            description: 'JSON string containing: instrument_name, direction, price, amount'
            type: string
        - description: ID of the Block RFQ
          in: query
          name: block_rfq_id
          required: false
          schema:
            type: integer
        - description: Aggregated price used for quoting future spreads.
          in: query
          name: price
          required: false
          schema:
            type: number
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: private/edit_block_rfq_quote
                  params:
                    amount: 20000
                    block_rfq_id: 3
                    direction: buy
                    execution_instruction: any_part_of
                    hedge:
                      amount: 10
                      direction: buy
                      instrument_name: BTC-PERPETUAL
                      price: 70000
                    label: example_quote
                    legs:
                      - direction: buy
                        instrument_name: BTC-15NOV24
                        price: 74600
                        ratio: '1'
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateEditBlockRfqQuoteResponse'
components:
  schemas:
    direction:
      description: 'Direction: `buy`, or `sell`'
      enum:
        - buy
        - sell
      type: string
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    amount:
      description: >-
        It represents the requested order size. For perpetual and inverse
        futures the amount is in USD units. For options and linear futures it is
        the underlying base currency coin.
      type: number
    PrivateEditBlockRfqQuoteResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          $ref: '#/components/schemas/block_rfq_quote'
      required:
        - jsonrpc
        - result
      type: object
    block_rfq_quote:
      properties:
        amount:
          description: >-
            This value multiplied by the ratio of a leg gives trade size on that
            leg.
          type: number
        app_name:
          description: >-
            The name of the application that placed the quote on behalf of the
            user (optional).
          example: Example Application
          type: string
        block_rfq_id:
          description: ID of the Block RFQ
          type: integer
        block_rfq_quote_id:
          description: ID of the Block RFQ quote
          type: integer
        creation_timestamp:
          description: >-
            The timestamp when quote was created (milliseconds since the Unix
            epoch)
          example: 1536569522277
          type: integer
        direction:
          $ref: '#/components/schemas/quote_direction'
        execution_instruction:
          description: >-
            Execution instruction of the quote. Default - `any_part_of`


            - `"all_or_none (AON)"` - The quote can only be filled entirely or
            not at all, ensuring that its amount matches the amount specified in
            the Block RFQ. Additionally, 'all_or_none' quotes have priority over
            'any_part_of' quotes at the same price level.

            - `"any_part_of (APO)"` - The quote can be filled either partially
            or fully, with the filled amount potentially being less than the
            Block RFQ amount.
          enum:
            - any_part_of
            - all_or_none
          type: string
        filled_amount:
          $ref: '#/components/schemas/filled_amount_quote'
        hedge:
          $ref: '#/components/schemas/block_rfq_hedge_leg'
        label:
          description: User defined label for the quote (maximum 64 characters)
          type: string
        last_update_timestamp:
          description: >-
            Timestamp of the last update of the quote (milliseconds since the
            UNIX epoch)
          example: 1536569522277
          type: integer
        legs:
          $ref: '#/components/schemas/leg_structure'
        price:
          description: Price of a quote
          type: number
        quote_state:
          description: State of the quote
          type: string
        quote_state_reason:
          description: Reason of quote cancellation
          type: string
        replaced:
          $ref: '#/components/schemas/replaced_quote'
      type: object
    quote_direction:
      description: Direction of trade from the maker perspective
      enum:
        - buy
        - sell
      type: string
    filled_amount_quote:
      description: >-
        Filled amount of the quote. For perpetual and futures the filled_amount
        is in USD units, for options - in units or corresponding cryptocurrency
        contracts, e.g., BTC or ETH.
      type: number
    block_rfq_hedge_leg:
      properties:
        amount:
          description: >-
            It represents the requested hedge leg size. For perpetual and
            inverse futures the amount is in USD units. For options and linear
            futures it is the underlying base currency coin.
          type: integer
        direction:
          description: 'Direction: `buy`, or `sell`'
          enum:
            - buy
            - sell
          type: string
        instrument_name:
          description: Unique instrument identifier
          example: BTC-PERPETUAL
          type: string
        price:
          description: Price for a hedge leg
          type: number
      type: object
    leg_structure:
      items:
        properties:
          direction:
            description: 'Direction: `buy`, or `sell`'
            enum:
              - buy
              - sell
            type: string
          instrument_name:
            description: Unique instrument identifier
            example: BTC-PERPETUAL
            type: string
          price:
            description: Price for a leg
            type: number
          ratio:
            description: Ratio of amount between legs
            type: integer
        type: object
      type: array
    replaced_quote:
      description: '`true` if the quote was edited, otherwise `false`.'
      type: boolean
  responses:
    PrivateEditBlockRfqQuoteResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 1
                jsonrpc: '2.0'
                result:
                  amount: 20000
                  block_rfq_id: 3
                  block_rfq_quote_id: 8
                  creation_timestamp: 1731076586371
                  direction: buy
                  filled_amount: 0
                  hedge:
                    amount: 10
                    direction: buy
                    instrument_name: BTC-PERPETUAL
                    price: 70000
                  label: example_quote
                  last_update_timestamp: 1731076638591
                  legs:
                    - direction: buy
                      instrument_name: BTC-15NOV24
                      price: 74600
                      ratio: 1
                  price: 74600
                  quote_state: open
                  replaced: true
          schema:
            $ref: '#/components/schemas/PrivateEditBlockRfqQuoteResponse'
      description: Success response

````